#!/bin/sh
APPTITLE="Install Kernel"
KERNEL=vmlinuz-3.4.2-rt10
if dir=$(Xdialog --title "$APPTITLE" --backtitle "Please choose the directory where to install the kernel.
This should be the same directory as where you installed Fatdog previously." \
--stdout --no-buttons --no-cancel --dselect / 0 0); then
	echo "$dir/$KERNEL" > /boot/${KERNEL}.install
	cp /boot/$KERNEL "$dir/$KERNEL"
	Xdialog --title "$APPTITLE" --infobox "The kernel has been copied to $dir/$KERNEL.
A copy is also stored in /boot/$KERNEL. 
You still need to update your boot loader configuration (syslinux.cfg, menu.lst, grub.cfg, etc)
to make it load your new kernel." 0 0 10000
fi